This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1006037 - yum-rhn-plugin should keep its higher default timeout
yum-rhn-plugin should keep its higher default timeout
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On:
Blocks: 1006045 space21
  Show dependency treegraph
 
Reported: 2013-09-09 16:17 EDT by Stephen Herr
Modified: 2014-03-04 08:08 EST (History)
0 users

See Also:
Fixed In Version: yum-rhn-plugin-2.1.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1006045 (view as bug list)
Environment:
Last Closed: 2014-03-04 08:06:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2013-09-09 16:17:10 EDT
yum-rhn-plugin-1.10.1-1 and higher now accept a timeout parameter from yum instead of implicitly relying on the rhn-client-tools defaults. However, this can lead to less-than-ideal results for some people given that the yum default is 30s and the rhn-client-tools default was 120s.

Let's make yum-rhn-plugin have its own timeout default of 120s. If it is not set then we can fall back to the yum.conf timeout or yum's default if neither are set.
Comment 1 Stephen Herr 2013-09-09 16:32:56 EDT
Committing to Spacewalk master:
62b3036b9503d4dbbc9d503275ba06c511c85653
Comment 2 Matej Kollar 2014-01-17 07:15:24 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 3 Matej Kollar 2014-03-04 08:06:23 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 4 Matej Kollar 2014-03-04 08:08:31 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.